    Optical model of an absorption edge.

absorptionedge

This model is intended to be used to modify another model (e.g. by multiplying the two together). It is for use when the independent axis is in wavelength units (e.g. Angstrom).

>>> create_model_component("absorptionedge", "mdl")
>>> print(mdl)

Create a component of the absorptionedge model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.edgew frozen 5000 1.17549e-38 3.40282e+38 angstroms mdl.tau thawed 0.5 -3.40282e+38 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
egdew
The location of the edge. Above this value the model is set to 1.
tau
The optical depth of the edge.
index
The exponent used for the relative distance from the edge. It is a hidden parameter, with a value fixed at 3.

Notes

The functional form of the model for points is:

f(x) = exp(-tau * (x / edgew)^index) for x <= edgew

= 1 otherwise

and for integrated data sets the low-edge of the grid is used.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023